<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:26 CEST 2019 -->
<title>AbstractFbWireStatement (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractFbWireStatement (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireService.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" target="_top">Frames</a></li>
<li><a href="AbstractFbWireStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire</div>
<h2 title="Class AbstractFbWireStatement" class="title">Class AbstractFbWireStatement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractFbStatement</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.AbstractFbWireStatement</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a>, <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10Statement</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractFbWireStatement</span>
extends <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a>
implements <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a></pre>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#exceptionListenerDispatcher">exceptionListenerDispatcher</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#statementListenerDispatcher">statementListenerDispatcher</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#AbstractFbWireStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">AbstractFbWireStatement</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#calculateBlr-org.firebirdsql.gds.ng.fields.RowDescriptor-">calculateBlr</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor)</code>
<div class="block">Returns the (possibly cached) blr byte array for a <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a>, or <code>null</code> if the parameter is null.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#calculateBlr-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.gds.ng.fields.RowValue-">calculateBlr</a></span>(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
            <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;rowValue)</code>
<div class="block">Returns the blr byte array for a <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValue</code></a>, or <code>null</code> if the parameter is null.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#close--">close</a></span>()</code>
<div class="block">Close and deallocate this statement.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#emptyRowDescriptor--">emptyRowDescriptor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#getDatabase--">getDatabase</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#getHandle--">getHandle</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/impl/wire/XdrInputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrInputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#getXdrIn--">getXdrIn</a></span>()</code>
<div class="block">Gets the XdrInputStream.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../org/firebirdsql/gds/impl/wire/XdrOutputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrOutputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#getXdrOut--">getXdrOut</a></span>()</code>
<div class="block">Gets the XdrOutputStream.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#isValidTransactionClass-java.lang.Class-">isValidTransactionClass</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&gt;&nbsp;transactionClass)</code>
<div class="block">Method to decide if a transaction implementation class is valid for the statement implementation.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#setHandle-int-">setHandle</a></span>(int&nbsp;handle)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#addStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">addStatementListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#checkStatementValid--">checkStatementValid</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#closeCursor--">closeCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#closeCursor-boolean-">closeCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#createExecutionPlanProcessor--">createExecutionPlanProcessor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#createSqlCountProcessor--">createSqlCountProcessor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#ensureClosedCursor-boolean-">ensureClosedCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#finalize--">finalize</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#free-int-">free</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getExecutionPlan--">getExecutionPlan</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getFieldDescriptor--">getFieldDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getParameterDescriptionInfoRequestItems--">getParameterDescriptionInfoRequestItems</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getParameterDescriptor--">getParameterDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSqlCounts--">getSqlCounts</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSqlInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getSqlInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getState--">getState</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getStatementInfoRequestItems--">getStatementInfoRequestItems</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getStatementWarningCallback--">getStatementWarningCallback</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getSynchronizationObject--">getSynchronizationObject</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getTransaction--">getTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getTransactionListener--">getTransactionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#getType--">getType</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#hasFields--">hasFields</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#hasSingletonResult--">hasSingletonResult</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isAllRowsFetched--">isAllRowsFetched</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isPrepareAllowed-org.firebirdsql.gds.ng.StatementState-">isPrepareAllowed</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#parseStatementInfo-byte:A-">parseStatementInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#queueRowData-org.firebirdsql.gds.ng.fields.RowValue-">queueRowData</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#removeStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">removeStatementListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#reset--">reset</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#reset-boolean-">reset</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#resetAll--">resetAll</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setAllRowsFetched-boolean-">setAllRowsFetched</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setFieldDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">setFieldDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setParameterDescriptor-org.firebirdsql.gds.ng.fields.RowDescriptor-">setParameterDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setTransaction-org.firebirdsql.gds.ng.FbTransaction-">setTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#setType-org.firebirdsql.gds.ng.StatementType-">setType</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#switchState-org.firebirdsql.gds.ng.StatementState-">switchState</a>, <a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#validateParameters-org.firebirdsql.gds.ng.fields.RowValue-">validateParameters</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.FbStatement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#addStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">addStatementListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#closeCursor--">closeCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#closeCursor-boolean-">closeCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#ensureClosedCursor-boolean-">ensureClosedCursor</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#execute-org.firebirdsql.gds.ng.fields.RowValue-">execute</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#fetchRows-int-">fetchRows</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getDefaultSqlInfoSize--">getDefaultSqlInfoSize</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getExecutionPlan--">getExecutionPlan</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getExplainedExecutionPlan--">getExplainedExecutionPlan</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getFieldDescriptor--">getFieldDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getMaxSqlInfoSize--">getMaxSqlInfoSize</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getParameterDescriptor--">getParameterDescriptor</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getSqlCounts--">getSqlCounts</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getSqlInfo-byte:A-int-">getSqlInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getSqlInfo-byte:A-int-org.firebirdsql.gds.ng.InfoProcessor-">getSqlInfo</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getState--">getState</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getTransaction--">getTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getType--">getType</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#prepare-java.lang.String-">prepare</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#removeStatementListener-org.firebirdsql.gds.ng.listeners.StatementListener-">removeStatementListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#setCursorName-java.lang.String-">setCursorName</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#setTransaction-org.firebirdsql.gds.ng.FbTransaction-">setTransaction</a>, <a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#validateParameters-org.firebirdsql.gds.ng.fields.RowValue-">validateParameters</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.listeners.ExceptionListenable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.listeners.<a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html" title="interface in org.firebirdsql.gds.ng.listeners">ExceptionListenable</a></h3>
<code><a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#addExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">addExceptionListener</a>, <a href="../../../../../org/firebirdsql/gds/ng/listeners/ExceptionListenable.html#removeExceptionListener-org.firebirdsql.gds.ng.listeners.ExceptionListener-">removeExceptionListener</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractFbWireStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractFbWireStatement</h4>
<pre>public&nbsp;AbstractFbWireStatement(<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getXdrIn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXdrIn</h4>
<pre>protected final&nbsp;<a href="../../../../../org/firebirdsql/gds/impl/wire/XdrInputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrInputStream</a>&nbsp;getXdrIn()
                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the XdrInputStream.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of XdrInputStream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If no connection is opened or when exceptions occur
         retrieving the InputStream</dd>
</dl>
</li>
</ul>
<a name="getXdrOut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXdrOut</h4>
<pre>protected final&nbsp;<a href="../../../../../org/firebirdsql/gds/impl/wire/XdrOutputStream.html" title="class in org.firebirdsql.gds.impl.wire">XdrOutputStream</a>&nbsp;getXdrOut()
                                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Gets the XdrOutputStream.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Instance of XdrOutputStream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If no connection is opened or when exceptions occur
         retrieving the OutputStream</dd>
</dl>
</li>
</ul>
<a name="getDatabase--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabase</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;getDatabase()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getDatabase--">getDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The database connection that created this statement</dd>
</dl>
</li>
</ul>
<a name="getHandle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHandle</h4>
<pre>public final&nbsp;int&nbsp;getHandle()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#getHandle--">getHandle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The Firebird statement handle identifier</dd>
</dl>
</li>
</ul>
<a name="setHandle-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHandle</h4>
<pre>protected final&nbsp;void&nbsp;setHandle(int&nbsp;handle)</pre>
</li>
</ul>
<a name="calculateBlr-org.firebirdsql.gds.ng.fields.RowDescriptor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateBlr</h4>
<pre>protected final&nbsp;byte[]&nbsp;calculateBlr(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Returns the (possibly cached) blr byte array for a <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a>, or <code>null</code> if the parameter is null.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowDescriptor</code> - The row descriptor.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>blr byte array or <code>null</code> when <code>rowDescriptor</code> is <code>null</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When the <a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowDescriptor</code></a> contains an unsupported field type.</dd>
</dl>
</li>
</ul>
<a name="calculateBlr-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.gds.ng.fields.RowValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculateBlr</h4>
<pre>protected final&nbsp;byte[]&nbsp;calculateBlr(<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                                    <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields">RowValue</a>&nbsp;rowValue)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Returns the blr byte array for a <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValue</code></a>, or <code>null</code> if the parameter is null.
 <p>
 Contrary to <a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html#calculateBlr-org.firebirdsql.gds.ng.fields.RowDescriptor-"><code>calculateBlr(org.firebirdsql.gds.ng.fields.RowDescriptor)</code></a>, it is not allowed
 to cache this value as it depends on the actual row value.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowValue</code> - The row value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>blr byte array or <code>null</code> when <code>rowValue</code> is <code>null</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - When the <a href="../../../../../org/firebirdsql/gds/ng/fields/RowValue.html" title="class in org.firebirdsql.gds.ng.fields"><code>RowValue</code></a> contains an unsupported field type.</dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#close--">FbStatement</a></code></span></div>
<div class="block">Close and deallocate this statement.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#close--">close</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#close--">close</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="isValidTransactionClass-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidTransactionClass</h4>
<pre>protected&nbsp;boolean&nbsp;isValidTransactionClass(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng">FbTransaction</a>&gt;&nbsp;transactionClass)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isValidTransactionClass-java.lang.Class-">AbstractFbStatement</a></code></span></div>
<div class="block">Method to decide if a transaction implementation class is valid for the statement implementation.
 <p>
 Eg a <a href="../../../../../org/firebirdsql/gds/ng/wire/version10/V10Statement.html" title="class in org.firebirdsql.gds.ng.wire.version10"><code>V10Statement</code></a> will only work with an
 <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireTransaction</code></a> implementation.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html#isValidTransactionClass-java.lang.Class-">isValidTransactionClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng">AbstractFbStatement</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionClass</code> - Class of the transaction</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when the transaction class is valid for the statement implementation.</dd>
</dl>
</li>
</ul>
<a name="emptyRowDescriptor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>emptyRowDescriptor</h4>
<pre>public final&nbsp;<a href="../../../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;emptyRowDescriptor()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html#emptyRowDescriptor--">emptyRowDescriptor</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng">FbStatement</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>A potentially cached empty row descriptor for this statement or database.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireService.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" target="_top">Frames</a></li>
<li><a href="AbstractFbWireStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.gds.ng.AbstractFbStatement">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
